Jump to content

[INFO/PATCH]Y300/B199 Firmware and Heartbleed


Guest Syssx420
 Share

Recommended Posts

Guest Syssx420

What is hearbleed? : http://en.wikipedia.org/wiki/Heartbleed

Why is Y300 with B199 affected?: It runs older version fo android with old SSL vulnerable to heartbleed. G510 users already have this patch included in B200 firmware.

 

How to fix it? Flash this patch: https://drive.google.com/file/d/0B-U7pCNeAa0ka2liUXpLRTU0QzQ/edit?usp=sharing . Libssl.so was extracted from B200 firmware and confirmed working on B199 on Y300.

Link to comment
Share on other sites

Guest LotR656

Is B200 for G510-0100 avaible?

I have only see a B200 for the G510-0200

What is different between G510-0100 and G510-0200?
Link to comment
Share on other sites

Guest plutarquitus

Hello my G510 is the version 0251, that is: G510-0251. I think 0251 is for latin american market, 0200 for european and 0100 for china (i guess).

 

The point is that B200 compilation fix the security issue but the data connection only, ONLY works on 2G networks. I guess because the kernel version says EDGE and not HSDPA.

 

I have to return to the Movistar ROM stock, because conectivity on 2G is toooooooooo slowly for using without wifi connections.

Link to comment
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
 Share

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.